diff --git a/src/backend/replication/slot.c b/src/backend/replication/slot.c
index 99823df3c7..15e85a23d4 100644
--- a/src/backend/replication/slot.c
+++ b/src/backend/replication/slot.c
@@ -1433,8 +1433,8 @@ InvalidatePossiblyObsoleteSlot(ReplicationSlotInvalidationCause cause,
 		{
 			ereport(ERROR,
 					errcode(ERRCODE_INVALID_PARAMETER_VALUE),
-					errmsg("replication slots must not be invalidated during the upgrade"),
-					errhint("\"max_slot_wal_keep_size\" must be set to -1 during the upgrade"));
+					errmsg("replication slots must not be invalidated during upgrade"),
+					errhint("\"max_slot_wal_keep_size\" must be set to -1 during the upgrade."));
 		}
 
 		if (active_pid != 0)
